using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ConsoleApplication1
{
    class Program
    {
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            
            int[,] unos = new int[2, n];

            int s = 0;
            for (int i = 0; i < n; i++)
            {
                string sm = Console.ReadLine();
                string[] s1 = sm.Split(' ');
                unos[0, i] = int.Parse(s1[0]);
                unos[1, i] = int.Parse(s1[1]);
            
            }

            for (int i = 0; i < n; i++)
            {
                int broj = unos[1, i];
                int k = 0;
                if (broj != 0)
                {
                    for (int j = i + 1; j < n; j++)
                    {
                        if (broj == unos[1, j])
                        {
                            k++;
                            unos[1, j] = 0;
                        }
                        

                    }
                }
                s += k;
            
            }


            for (int i = 0; i < n; i++)
            {
                int broj = unos[0, i];
                int k = 0;
                if (broj != 0)
                {
                    for (int j = i + 1; j < n; j++)
                    {
                        if (broj == unos[0, j])
                        {
                            k++;
                            unos[0, j] = 0;
                        }
                       

                    }
                }

                s += k;
            }

            Console.Write(s);
           
            




        }
    }
}